Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/items"{ "data": [ { "id": "string", "key": "string", "type": "durable", "max_quantity": -9007199254740991, "equip_slot": "string", "effect": { "type": "none" }, "display": { "property1": null, "property2": null }, "metadata": { "property1": null, "property2": null }, "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/items/string"{ "id": "string", "key": "string", "type": "durable", "max_quantity": -9007199254740991, "equip_slot": "string", "effect": { "type": "none" }, "display": { "property1": null, "property2": null }, "metadata": { "property1": null, "property2": null }, "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "archived"
1 <= length <= 64Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/shop_offers"{ "data": [ { "id": "string", "key": "string", "item": "string", "item_definition_id": "string", "quantity": -9007199254740991, "price": { "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991 }, "per_customer_limit": -9007199254740991, "available_from": "string", "available_until": "string", "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/shop_offers/string"{ "id": "string", "key": "string", "item": "string", "item_definition_id": "string", "quantity": -9007199254740991, "price": { "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991 }, "per_customer_limit": -9007199254740991, "available_from": "string", "available_until": "string", "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/inventory"{ "data": [ { "item": "string", "item_definition_id": "string", "type": "durable", "quantity": -9007199254740991, "max_quantity": -9007199254740991, "equipped": true, "equip_slot": "string", "effect": { "type": "none" }, "display": { "property1": null, "property2": null }, "metadata": { "property1": null, "property2": null }, "status": "active" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 20481 <= length <= 64Value in
- "grant"
- "purchase"
- "consume"
- "revoke"
- "refund"
- "expire"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/inventory_entries"{ "data": [ { "id": "string", "customer_id": "string", "item": "string", "item_definition_id": "string", "kind": "grant", "delta": -9007199254740991, "quantity_after": -9007199254740991, "source_type": "string", "source_id": "string", "idempotency_key": "string", "offer_id": "string", "cost_entry_id": "string", "price_terms": { "property1": null, "property2": null }, "reverses_entry_id": "string", "trust_level": "anonymous_claim", "metadata": { "property1": null, "property2": null }, "created_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "paused"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/energy_definitions"{ "data": [ { "id": "string", "key": "string", "maximum": -9007199254740991, "refill": { "amount": -9007199254740991, "every_seconds": -9007199254740991 }, "overfill_maximum": -9007199254740991, "status": "active", "paused_at": "string", "revision": -9007199254740991, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/energy_definitions/string"{ "id": "string", "key": "string", "maximum": -9007199254740991, "refill": { "amount": -9007199254740991, "every_seconds": -9007199254740991 }, "overfill_maximum": -9007199254740991, "status": "active", "paused_at": "string", "revision": -9007199254740991, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/energy"{ "data": [ { "key": "string", "energy_definition_id": "string", "value": -9007199254740991, "maximum": -9007199254740991, "overfill_maximum": -9007199254740991, "next_refill_at": "string", "full_at": "string", "unlimited_until": "string", "paused": true } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/boosts"{ "activations": [ { "id": "string", "currency": "string", "currency_id": "string", "multiplier": "string", "stacking": "extend", "starts_at": "string", "ends_at": "string", "item": "string" } ], "currencies": [ { "currency": "string", "currency_id": "string", "multiplier": "string", "ends_at": "string" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/inventory_grants" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "item": "xp_boost_15m", "quantity": 1 } ], "reason": "support" }'{ "replayed": true, "lines": [ { "entry_id": "string", "item": "string", "item_definition_id": "string", "granted": -9007199254740991, "not_granted": -9007199254740991, "quantity_after": -9007199254740991 } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/inventory_revocations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "item": "xp_boost_15m", "quantity": 1, "reason": "chargeback" }'{ "replayed": true, "entry_ids": [ "string" ], "item": "string", "item_definition_id": "string", "revoked": -9007199254740991, "not_revoked": -9007199254740991, "quantity_after": -9007199254740991}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/inventory_consumptions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "item": "xp_boost_15m", "quantity": 1 }'{ "replayed": true, "entry_ids": [ "string" ], "item": "string", "item_definition_id": "string", "consumed": -9007199254740991, "quantity_after": -9007199254740991, "effect": { "type": "none" }, "effect_result": { "loot_table": "string", "loot_table_id": "string", "loot_table_version_id": "string", "version": -9007199254740991, "chests": -9007199254740991, "draws": [ { "draw_id": "string", "unit": -9007199254740991, "roll": -9007199254740991, "outcome": "drawn", "entry": "string", "reason": "string", "award": { "type": "currency", "currency": "string", "amount_minor": 1 }, "paid": { "type": "currency", "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991, "ledger_entry_id": "string" } } ], "guaranteed": [ { "unit": -9007199254740991, "award": { "type": "currency", "currency": "string", "amount_minor": 1 }, "paid": { "type": "currency", "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991, "ledger_entry_id": "string" } } ] }}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/shop_purchases" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "offer_id": "ofr_0123456789abcdef0123456789abcdef", "offer_revision": 1, "quantity": 1 }'{ "replayed": true, "entry_id": "string", "offer_id": "string", "offer": "string", "offer_revision": -9007199254740991, "item": "string", "item_definition_id": "string", "purchases": -9007199254740991, "quantity": -9007199254740991, "quantity_after": -9007199254740991, "price": { "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991, "total_minor": -9007199254740991 }, "cost_entry_id": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/shop_purchase_refunds" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "purchase_id": "ive_0123456789abcdef0123456789abcdef", "reason": "customer_request" }'{ "replayed": true, "entry_ids": [ "string" ], "purchase_entry_id": "string", "item": "string", "item_definition_id": "string", "refunded": -9007199254740991, "quantity_after": -9007199254740991, "restored_minor": -9007199254740991}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/inventory_equips" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "item": "red_cape", "equipped": true }'{ "replayed": true, "item": "string", "item_definition_id": "string", "equip_slot": "string", "equipped": true, "unequipped": [ "string" ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/energy_spends" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "energy": "lives", "amount": 1 }'{ "key": "string", "energy_definition_id": "string", "value": -9007199254740991, "maximum": -9007199254740991, "overfill_maximum": -9007199254740991, "next_refill_at": "string", "full_at": "string", "unlimited_until": "string", "paused": true, "replayed": true, "entry_id": "string", "spent": -9007199254740991, "free": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/energy_refills" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "energy": "lives", "amount": "full", "reason": "support" }'{ "key": "string", "energy_definition_id": "string", "value": -9007199254740991, "maximum": -9007199254740991, "overfill_maximum": -9007199254740991, "next_refill_at": "string", "full_at": "string", "unlimited_until": "string", "paused": true, "replayed": true, "entry_id": "string", "refilled": -9007199254740991}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/energy_entitlements" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "energy": "lives", "until": "2026-11-04T00:00:00.000Z" }'{ "key": "string", "energy_definition_id": "string", "value": -9007199254740991, "maximum": -9007199254740991, "overfill_maximum": -9007199254740991, "next_refill_at": "string", "full_at": "string", "unlimited_until": "string", "paused": true, "replayed": true, "entry_id": "string"}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "paused"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/loot_tables"{ "data": [ { "id": "string", "key": "string", "status": "active", "revision": -9007199254740991, "version": { "id": "string", "loot_table_id": "string", "version": -9007199254740991, "definition": { "rolls": 1, "entries": [ { "key": "string", "weight": 1, "award": { "type": "currency", "currency": "string", "amount_minor": 1 }, "max_per_customer": null, "budget": null } ], "guaranteed": [], "pity": null }, "total_weight": -9007199254740991, "created_at": "string" }, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/loot_tables/string"{ "id": "string", "key": "string", "status": "active", "revision": -9007199254740991, "version": { "id": "string", "loot_table_id": "string", "version": -9007199254740991, "definition": { "rolls": 1, "entries": [ { "key": "string", "weight": 1, "award": { "type": "currency", "currency": "string", "amount_minor": 1 }, "max_per_customer": null, "budget": null } ], "guaranteed": [], "pity": null }, "total_weight": -9007199254740991, "created_at": "string" }, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/loot_tables/string/odds"{ "loot_table": "string", "loot_table_id": "string", "version_id": "string", "version": -9007199254740991, "paused": true, "rolls": -9007199254740991, "total_weight": -9007199254740991, "entries": [ { "key": "string", "weight": -9007199254740991, "probability": "string", "award": { "type": "currency", "currency": "string", "amount_minor": 1 }, "max_per_customer": -9007199254740991, "budget": { "maximum": -9007199254740991 } } ], "guaranteed": [ { "type": "currency", "currency": "string", "amount_minor": 1 } ], "pity": { "entry_key": "string", "after_rolls": -9007199254740991 }}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "paused"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/battle_passes"{ "data": [ { "id": "string", "key": "string", "status": "active", "revision": -9007199254740991, "version": { "id": "string", "battle_pass_id": "string", "version": -9007199254740991, "season": "string", "season_id": "string", "season_version_id": "string", "xp_currency": "string", "xp_currency_id": "string", "starts_at": "string", "ends_at": "string", "claims_until": "string", "definition": { "season": "string", "xp_currency": "string", "tiers": [ { "key": "string", "threshold": 0, "free": [], "premium": [] } ] }, "created_at": "string" }, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/battle_passes/string"{ "id": "string", "key": "string", "status": "active", "revision": -9007199254740991, "version": { "id": "string", "battle_pass_id": "string", "version": -9007199254740991, "season": "string", "season_id": "string", "season_version_id": "string", "xp_currency": "string", "xp_currency_id": "string", "starts_at": "string", "ends_at": "string", "claims_until": "string", "definition": { "season": "string", "xp_currency": "string", "tiers": [ { "key": "string", "threshold": 0, "free": [], "premium": [] } ] }, "created_at": "string" }, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/battle_passes"{ "data": [ { "battle_pass": "string", "battle_pass_id": "string", "version_id": "string", "version": -9007199254740991, "season": "string", "season_version_id": "string", "status": "scheduled", "paused": true, "starts_at": "string", "ends_at": "string", "claims_until": "string", "xp_currency": "string", "progress": -9007199254740991, "premium": true, "next_tier": "string", "next_tier_threshold": -9007199254740991, "tiers": [ { "key": "string", "threshold": -9007199254740991, "reached": true, "free": { "awards": [ { "type": "currency", "currency": "string", "amount_minor": 1 } ], "claimed": true, "claimable": true }, "premium": { "awards": [ { "type": "currency", "currency": "string", "amount_minor": 1 } ], "claimed": true, "claimable": true } } ] } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/battle_pass_claims" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "pass": "season_1_pass", "tier": "tier_1", "track": "free" }'{ "replayed": true, "claim_id": "string", "battle_pass": "string", "battle_pass_id": "string", "battle_pass_version_id": "string", "season_version_id": "string", "tier": "string", "track": "free", "threshold": -9007199254740991, "progress": -9007199254740991, "awards": [ { "type": "currency", "currency": "string", "currency_id": "string", "amount_minor": -9007199254740991, "ledger_entry_id": "string" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/battle_pass_premium" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "pass": "season_1_pass", "premium": true, "source": { "type": "app_store", "id": "txn_123" } }'{ "replayed": true, "battle_pass": "string", "battle_pass_id": "string", "season_version_id": "string", "premium": true, "changed": true}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048held is the review queue
Value in
- "admitted"
- "held"
- "rejected"
- "partially_admitted"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/match_results"{ "data": [ { "id": "string", "match_id": "string", "profile": "string", "match_profile_id": "string", "profile_revision": -9007199254740991, "event": "string", "started_at": "string", "ended_at": "string", "duration_seconds": 0, "status": "admitted", "players": [ { "id": "string", "match_result_id": "string", "customer_id": "string", "metrics": { "property1": 0, "property2": 0 }, "won": true, "status": "admitted", "reasons": [ { "code": "metric_below_minimum", "message": "string", "metric": "string", "value": 0, "limit": 0, "window_seconds": -9007199254740991, "event_code": "string" } ], "event_id": "string", "client_event_id": "string", "review": { "decision": "admit", "reason": "string", "actor": { "property1": null, "property2": null }, "reviewed_at": "string" }, "created_at": "string", "updated_at": "string" } ], "revision": -9007199254740991, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
secretKey Secret API key bound to an environment.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/match_results" \ -H "Content-Type: application/json" \ -d '{ "profile": "arena_ranked", "match_id": "arena-2026-10-04-0001", "started_at": "2026-10-04T11:52:00Z", "ended_at": "2026-10-04T12:00:00Z", "players": [ { "customer": { "external_id": "player_8812" }, "metrics": { "score": 12400, "kills": 9 }, "won": true }, { "customer": { "external_id": "player_4410" }, "metrics": { "score": 31000, "kills": 52 }, "won": false } ] }'{ "id": "string", "match_id": "string", "profile": "string", "match_profile_id": "string", "profile_revision": -9007199254740991, "event": "string", "started_at": "string", "ended_at": "string", "duration_seconds": 0, "status": "admitted", "players": [ { "id": "string", "match_result_id": "string", "customer_id": "string", "metrics": { "property1": 0, "property2": 0 }, "won": true, "status": "admitted", "reasons": [ { "code": "metric_below_minimum", "message": "string", "metric": "string", "value": 0, "limit": 0, "window_seconds": -9007199254740991, "event_code": "string" } ], "event_id": "string", "client_event_id": "string", "review": { "decision": "admit", "reason": "string", "actor": { "property1": null, "property2": null }, "reviewed_at": "string" }, "created_at": "string", "updated_at": "string" } ], "revision": -9007199254740991, "created_at": "string", "updated_at": "string", "replayed": true, "admission_errors": [ { "player_id": "string", "code": "string", "message": "string" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/match_results/string"{ "id": "string", "match_id": "string", "profile": "string", "match_profile_id": "string", "profile_revision": -9007199254740991, "event": "string", "started_at": "string", "ended_at": "string", "duration_seconds": 0, "status": "admitted", "players": [ { "id": "string", "match_result_id": "string", "customer_id": "string", "metrics": { "property1": 0, "property2": 0 }, "won": true, "status": "admitted", "reasons": [ { "code": "metric_below_minimum", "message": "string", "metric": "string", "value": 0, "limit": 0, "window_seconds": -9007199254740991, "event_code": "string" } ], "event_id": "string", "client_event_id": "string", "review": { "decision": "admit", "reason": "string", "actor": { "property1": null, "property2": null }, "reviewed_at": "string" }, "created_at": "string", "updated_at": "string" } ], "revision": -9007199254740991, "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/match_result_players/string/reviews" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "decision": "admit", "reason": "Replay checked" }'{ "id": "string", "match_result_id": "string", "customer_id": "string", "metrics": { "property1": 0, "property2": 0 }, "won": true, "status": "admitted", "reasons": [ { "code": "metric_below_minimum", "message": "string", "metric": "string", "value": 0, "limit": 0, "window_seconds": -9007199254740991, "event_code": "string" } ], "event_id": "string", "client_event_id": "string", "review": { "decision": "admit", "reason": "string", "actor": { "property1": null, "property2": null }, "reviewed_at": "string" }, "created_at": "string", "updated_at": "string", "replayed": true, "admission_errors": [ { "player_id": "string", "code": "string", "message": "string" } ]}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "active"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/match_profiles"{ "data": [ { "id": "string", "key": "string", "event": "string", "metrics": [ { "key": "string", "minimum": 0, "maximum": 0, "per_minute_maximum": 0 } ], "duration": { "minimum_seconds": -9007199254740991, "maximum_seconds": -9007199254740991 }, "players": { "minimum": -9007199254740991, "maximum": -9007199254740991 }, "rate_limits": [ { "window_seconds": -9007199254740991, "max_matches": -9007199254740991 } ], "outliers": { "action": "hold", "hold_metrics": [ { "key": "string", "above": 0 } ] }, "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/match_profiles/string"{ "id": "string", "key": "string", "event": "string", "metrics": [ { "key": "string", "minimum": 0, "maximum": 0, "per_minute_maximum": 0 } ], "duration": { "minimum_seconds": -9007199254740991, "maximum_seconds": -9007199254740991 }, "players": { "minimum": -9007199254740991, "maximum": -9007199254740991 }, "rate_limits": [ { "window_seconds": -9007199254740991, "max_matches": -9007199254740991 } ], "outliers": { "action": "hold", "hold_metrics": [ { "key": "string", "above": 0 } ] }, "status": "active", "revision": -9007199254740991, "created_at": "string", "updated_at": "string"}